<?php
// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit();
}
/**
 * @Packge     : Poolax
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

// enqueue css
function poolax_common_custom_css(){
	wp_enqueue_style( 'poolax-color-schemes', get_template_directory_uri().'/assets/css/color.schemes.css' );

    $CustomCssOpt  = poolax_opt( 'poolax_css_editor' );
	if( $CustomCssOpt ){
		$CustomCssOpt = $CustomCssOpt;
	}else{
		$CustomCssOpt = '';
	}

    $customcss = "";
    
    if( get_header_image() ){
        $poolax_header_bg =  get_header_image();
    }else{
        if( poolax_meta( 'page_breadcrumb_settings' ) == 'page' ){
            if( ! empty( poolax_meta( 'breadcumb_image' ) ) ){
                $poolax_header_bg = poolax_meta( 'breadcumb_image' );
            }
        }
    }
    
    if( !empty( $poolax_header_bg ) ){
        $customcss .= ".breadcumb-wrapper{
            background-image:url('{$poolax_header_bg}')!important;
        }";
    }
    
	// theme color
	$poolaxthemecolor = poolax_opt('poolax_theme_color');

    if( !empty( $poolaxthemecolor ) ){
        list($r, $g, $b) = sscanf( $poolaxthemecolor, "#%02x%02x%02x");

        $poolax_real_color = $r.','.$g.','.$b;
        if( !empty( $poolaxthemecolor ) ) {
            $customcss .= ":root {
            --theme-color: rgb({$poolax_real_color});
            }";
        }
    }

	if( !empty( $CustomCssOpt ) ){
		$customcss .= $CustomCssOpt;
	}

    wp_add_inline_style( 'poolax-color-schemes', $customcss );
}
add_action( 'wp_enqueue_scripts', 'poolax_common_custom_css', 100 );